/*
 * Copyright (c) 2011 ScientiaMobile srl
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core;

import java.util.Map;

/**
 * Holds the capabilities values for a single Device.
 * 
 * @author WURFL-PRO SRL, Rome, Italy
 * @version $Id: CapabilitiesHolder.java 1045 2009-03-09 15:52:53Z filippo.deluca $
 */
public interface CapabilitiesHolder {

	/**
	 * Return the capability value by capability name for single Device
	 * instance.
	 * 
	 * @param capabilityName
	 *            The name of capability to get value.
	 * @return The value of capability capabilityName
	 * @throws CapabilityNotDefinedException
	 *             If the capability capabilityName is not defined in WURFL.
	 */
	String getCapabilityValue(String capabilityName)
			throws CapabilityNotDefinedException;

	/**
	 * Returns all the capabilities for a single device.
	 * 
	 * @return Map containing couple name-value of single Device.
	 */
	public Map getAllCapabilities();

}
