/*
 * Copyright (c) 2011 ScientiaMobile srl
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core;

import java.util.Map;

/**
 * Loads the capabilities value for a single Device. Used by
 * DefaultCapabilitiesHolder to lazy load the capabilities.
 * 
 * @author WURFL-PRO SRL, Rome, Italy
 * @version $Id: CapabilitiesLoader.java 1045 2009-03-09 15:52:53Z filippo.deluca $
 */
public interface CapabilitiesLoader {

	/**
	 * This method load the capabilities in a Map of couple name, value.
	 * 
	 * @return Map instance containing the couples name, value of capabilities.
	 */
	Map loadCapabilities();
}
