/*
 * Copyright (c) 2011 ScientiaMobile srl
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core;

import net.sourceforge.wurfl.core.request.WURFLRequest;

/**
 * This is the central interface of WURFL API. It define the main method of
 * WURFL API.
 * 
 * @author WURFL-PRO SRL, Rome, Italy
 * @version $Id: WURFLService.java 1045 2009-03-09 15:52:53Z filippo.deluca $
 */
public interface WURFLService {

	/**
	 * Return a Device instance obtained by parsing the given
	 * WURFLRequest instance.
	 * 
	 * @param request
	 *            The WURFLRequest from which obtain the requester
	 *            device.
	 * @return A Device instance obtained from <code>request</code>
	 */
	Device getDeviceForRequest(WURFLRequest request);
}
