/*
 * Copyright (c) 2011 ScientiaMobile srl
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.handlers;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

import org.apache.commons.lang.StringUtils;

/**
 * Intercept all UAs containing "AOL"
 * 
 * @author WURFL-PRO SRL, Rome, Italy
 * @version $Id: AOLHandler.java 1045 2009-03-09 15:52:53Z filippo.deluca $
 */
public class AOLHandler extends Handler {

	public AOLHandler(UserAgentNormalizer normalizer) {
		super(normalizer);
	}

	private static final String AOL = "AOL";

	/**
	 * Checks the given UA contains "AOL"
	 */
	public boolean canHandle(String userAgent) {
		return !isMobileBrowser(userAgent) && StringUtils.contains(userAgent, AOL);
	}
}
