/*
 * Copyright (c) 2011 ScientiaMobile srl
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.handlers;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

/**
 * Intercept all UAs starting with "Mitsu"
 * 
 * @author WURFL-PRO SRL, Rome, Italy
 * @version $Id: MitsubishiHandler.java 1045 2009-03-09 15:52:53Z filippo.deluca $
 */
public class MitsubishiHandler extends Handler {

	public MitsubishiHandler(UserAgentNormalizer normalizer) {
		super(normalizer);
	}

	/**
	 * Checks given UA starts with "Mitsu"
	 */
	public boolean canHandle(String userAgent) {
		return userAgent.startsWith("Mitsu");
	}

}
