/*
 * Copyright (c) 2011 ScientiaMobile srl
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.handlers.matchers;

import java.util.SortedSet;

import net.sourceforge.wurfl.core.handlers.Handler;
import net.sourceforge.wurfl.core.handlers.classifiers.FilteredDevices;
import net.sourceforge.wurfl.core.request.WURFLRequest;

/**
 * @author WURFL-PRO SRL, Rome, Italy
 * @version $Id: DoCoMoMatcher.java 1117 2009-03-20 10:07:30Z filippo.deluca $
 */
public class DoCoMoMatcher extends AbstractMatcher {

	public DoCoMoMatcher(Handler handler) {
		super(handler);
	}

	/**
	 * Does not perform anything. It returns always null. DoCoMo are direct match
	 * only.
	 */
	protected String lookForMatchingUserAgent(SortedSet userAgentsSet,
			String userAgent) {

		// docomo is direct match only
		return null;
	}

	protected String applyRecoveryMatch(WURFLRequest request,
			FilteredDevices filteredDevices) {
		return "docomo_generic_jap_ver1";
	}

}
