/*
 * Copyright (c) 2011 ScientiaMobile srl
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.handlers.matchers;

import org.apache.commons.lang.StringUtils;

import net.sourceforge.wurfl.core.handlers.Handler;
import net.sourceforge.wurfl.core.handlers.classifiers.FilteredDevices;
import net.sourceforge.wurfl.core.request.WURFLRequest;

public class OperaMiniMatcher extends AbstractMatcher {


	public OperaMiniMatcher(Handler handler) {
		super(handler);
	}
	protected String applyRecoveryMatch(WURFLRequest request,
			FilteredDevices filteredDevices) {
		String match = "";
		
		if (StringUtils.contains(request.getUserAgent(), "Opera Mini/1")) {
			match = "opera_mini_ver1";
		}
		else if (StringUtils.contains(request.getUserAgent(), "Opera Mini/2")) {
			match = "opera_mini_ver2";
		}
		else if (StringUtils.contains(request.getUserAgent(), "Opera Mini/3")) {
			match = "opera_mini_ver3";
		}
		else if (StringUtils.contains(request.getUserAgent(), "Opera Mini/4")) {
			match = "opera_mini_ver4";
		}
		return match;
		
	}

}
