/*
 * Copyright (c) 2011 ScientiaMobile srl
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.request;

import javax.servlet.http.HttpServletRequest;

/**
 * This class is intended to supply a fast way to resolve user-agent from the
 * given HTTP request. It is not a good choice to production environment, USE IT
 * ONLY FOR TESTING.
 * 
 * @author Filippo De Luca
 * @version $Id: FastUserAgentResolver.java 1045 2009-03-09 15:52:53Z filippo.deluca $
 */
public final class FastUserAgentResolver implements UserAgentResolver {

	public FastUserAgentResolver() {
		// Empty
	}

	public String resolve(HttpServletRequest request) {
		return request.getHeader("User-Agent");
	}

}
