/*
 * Copyright (c) 2011 ScientiaMobile srl
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.request.normalizer.specific;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

/**
 * 
 * @author WURFL-PRO SRL, Rome, Italy
 *
 */
public class ChromeNormalizer implements UserAgentNormalizer {
	
	
	
	private String chromeWithMajorVersion(String userAgent) {
		int index = userAgent.indexOf("Chrome" );
		return userAgent.substring(index, index+8);
	}

	/**
	 * Return the Chrome string with the major version  
	 *
	 * @param userAgent
	 * @return String
	 */
	public String normalize(String userAgent) {
		return chromeWithMajorVersion(userAgent);
	}

}
