/*
 * Copyright (c) 2011 ScientiaMobile srl
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.request.normalizer.specific;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

public class FirefoxNormalizer implements UserAgentNormalizer {

	
	/**
	 * Return the firefox string with the major and minor version only  
	 *
	 * @param userAgent
	 * @return String
	 */
	public String normalize(String userAgent) {
		return firefoxWithMajorAndMinorVersion(userAgent);
	}
	
	private String firefoxWithMajorAndMinorVersion(String userAgent) {
		int index = userAgent.indexOf("Firefox");
		return userAgent.substring(index, index+11 );
	}
	
	

}
