/*
 * Copyright (c) 2011 ScientiaMobile srl
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.resource;

import net.sourceforge.wurfl.core.WURFLRuntimeException;

/**
 * Parsing exception.
 * 
 * <p>
 * Exception thrown when wurfl file and patch files contains invalid values.
 * </p>
 * 
 * @author WURFL-PRO SRL, Rome, Italy
 * @version $Id: WURFLParsingException.java 1045 2009-03-09 15:52:53Z filippo.deluca $
 */
public class WURFLParsingException extends WURFLRuntimeException {

	/** serial */
	private static final long serialVersionUID = 10L;

	/**
	 * {@inheritDoc}
	 */
	public WURFLParsingException() {
		super();
	}

	/**
	 * {@inheritDoc}
	 */
	public WURFLParsingException(String msg) {
		super(msg);
	}

	/**
	 * {@inheritDoc}
	 */
	public WURFLParsingException(Throwable cause) {
		super(cause);
	}

	/**
	 * {@inheritDoc}
	 */
	public WURFLParsingException(String msg, Throwable cause) {
		super(msg, cause);
	}

}
