/*
 * Copyright (c) 2011 ScientiaMobile srl
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.resource;


/**
 * This interface represent a WURFL resource as the WURFL main file and a WURFL
 * patch file.
 * 
 * <p>
 * This interface provides a method to obtain data from physical resource as
 * File.
 * </p>
 * 
 * @author WURFL-PRO SRL, Rome, Italy
 * @version $Id: WURFLResource.java 1045 2009-03-09 15:52:53Z filippo.deluca $
 */
public interface WURFLResource {

	/**
	 * Return ResourceData representing the data contained by the resource.
	 * 
	 * @return ResourceData instance
	 */
	public ResourceData getData();

	/**
	 * Get info of this resource.
	 * 
	 * @return A String represent a info for this resource.
	 */
	public String getInfo();

	/**
	 * Release the resource.
	 */
	public void release();
}
